DO $$ 
	DECLARE _path character varying(256) = 'patch-2025_11_01_UpdateEmailSettings';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=15218) THEN
			RETURN;
		END IF;

		BEGIN

		 update  public."UserEmailSettings" 
SET "UserEmailId"= 
(SELECT us."Id" FROM public."UserEmails" us where us."UserId"=public."UserEmailSettings"."UserId" ORDER BY us."UserId" ASC LIMIT 1) 
where "UserEmailId" IS NULL OR "UserEmailId"=0;

 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$